searchData={"items":[{"type":"module","title":"FormatParser","doc":"The FormatParser Module\n\nFormatParser parses a binary file and extracts the format and some additional information from it.\nIt can deal with Audio, Video, Fonts, Images and Documents.","ref":"FormatParser.html"},{"type":"function","title":"FormatParser.parse/1","doc":"Parses a file and extracts some information from it.\n\nTakes a `binary file` as argument.\n\nReturns a struct which contains all information that has been extracted from the file if the file is recognized.\n\nReturns the following tuple if file not recognized: `{:error, \"Unknown\"}`.","ref":"FormatParser.html#parse/1"},{"type":"function","title":"Examples - FormatParser.parse/1","doc":"iex> {:ok, file} = File.read(\"priv/test.jpg\")\n    iex> FormatParser.parse(file)\n    %FormatParser.Image{format: :jpg, height_px: nil, nature: :image, width_px: nil}\n\n    iex> {:ok, file} = File.read(\"priv/test.html\")\n    iex> FormatParser.parse(file)\n    {:error, \"Unknown\"}","ref":"FormatParser.html#parse/1-examples"},{"type":"module","title":"FormatParser.Audio","doc":"An Audio struct and functions.\n\nThe Audio struct contains the fields format, sample_rate_hz, num_audio_channels, intrinsics and nature.","ref":"FormatParser.Audio.html"},{"type":"function","title":"FormatParser.Audio.parse/1","doc":"Parses a file and extracts some information from it.\n\nTakes a `binary file` as argument.\n\nReturns a struct which contains all information that has been extracted from the file if the file is recognized.\n\nReturns the following tuple if file not recognized: `{:error, file}`.","ref":"FormatParser.Audio.html#parse/1"},{"type":"module","title":"FormatParser.Document","doc":"A Document struct and functions.\n\nThe Document struct contains the fields format and nature.","ref":"FormatParser.Document.html"},{"type":"function","title":"FormatParser.Document.parse/1","doc":"Parses a file and extracts some information from it.\n\nTakes a `binary file` as argument.\n\nReturns a struct which contains all information that has been extracted from the file if the file is recognized.\n\nReturns the following tuple if file not recognized: `{:error, file}`.","ref":"FormatParser.Document.html#parse/1"},{"type":"module","title":"FormatParser.Font","doc":"A Font struct and functions.\n\nThe Font struct contains the fields format and nature.","ref":"FormatParser.Font.html"},{"type":"function","title":"FormatParser.Font.parse/1","doc":"Parses a file and extracts some information from it.\n\nTakes a `binary file` as argument.\n\nReturns a struct which contains all information that has been extracted from the file if the file is recognized.\n\nReturns the following tuple if file not recognized: `{:error, file}`.","ref":"FormatParser.Font.html#parse/1"},{"type":"module","title":"FormatParser.Image","doc":"An Image struct and functions.\n\nThe Image struct contains the fields format, width_px, height_px, intrinsics and nature.","ref":"FormatParser.Image.html"},{"type":"function","title":"FormatParser.Image.parse/1","doc":"Parses a file and extracts some information from it.\n\nTakes a `binary file` as argument.\n\nReturns a struct which contains all information that has been extracted from the file if the file is recognized.\n\nReturns the following tuple if file not recognized: `{:error, file}`.","ref":"FormatParser.Image.html#parse/1"},{"type":"module","title":"FormatParser.Video","doc":"A Video struct and functions.\n\nThe Video struct contains the fields format, width_px, height_px and nature.","ref":"FormatParser.Video.html"},{"type":"function","title":"FormatParser.Video.parse/1","doc":"Parses a file and extracts some information from it.\n\nTakes a `binary file` as argument.\n\nReturns a struct which contains all information that has been extracted from the file if the file is recognized.\n\nReturns the following tuple if file not recognized: `{:error, file}`.","ref":"FormatParser.Video.html#parse/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}